/*
 * This file is a part of Queen Beecon Widget
 * queen-beecon-dbus-monitor: Utility for QBW DBUS Monitor Management and Operations
 *
 * http://talk.maemo.org/showthread.php?t=45388
 *
 * Copyright (c) 2010 No!No!No!Yes! (Alessandro Peralma)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version. or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef QUEEN_BEECON_DBUS_MONITOR_H
#define QUEEN_BEECON_DBUS_MONITOR_H

typedef enum {
	QBW_INIT_DBUS_MONITOR,
	QBW_DEINIT_DBUS_MONITOR
} QbwDBUSMonitorAction;

typedef struct {
	gchar *key;
	gchar *val;
} Tokenz;

// DBUS Management functions
DBusHandlerResult queen_beecon_dbus_monitor_filter_function(DBusConnection *connection, DBusMessage *message, QueenBeecon *self);
gboolean queen_beecon_dbus_monitor_manager(QueenBeecon *self, QbwDBUSMonitorAction action, guint DBUSBus, const gchar *DBUSMatchRule);

#endif /* QUEEN_BEECON_DBUS_MONITOR_H */

